To: Bernd Harries <bharries@vossnet.de>
Cc: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>,
        linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: BioNet 100 Ethernet
References: <Pine.LNX.3.96.980506225146.466A-100000@hexe.bis.uni-oldenburg.de>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 07 May 1998 09:35:47 +0200
In-Reply-To: Bernd Harries's message of "Wed, 6 May 1998 23:04:20 +0200 (MEST)"

>>>>> "Bernd" == Bernd Harries <bharries@vossnet.de> writes:

Bernd> With ID-Test I can make the LED flash depending on what Jumpers
Bernd> I set.

Bernd> Then I wanted to add the atari_bionet.c to my 2.1.90 kernel but
Bernd> I don't see any messages at boot time.

Its far simpler than that - look in drivers/net/Space.c and you'll
notice that there is no reference to the bionet & pamsnet drivers -
they are not being initialised.

Now when/why this was lost I cant't say - they are not being
initialised by 2.0.x either.

Try this patch - it wont apply cleanly to 2.0.x, but its easy to edit
manually.

Jes

--- /data/tmp/linux-2.1.99/drivers/net/Space.c	Thu Apr  9 09:50:18 1998
+++ drivers/net/Space.c	Thu May  7 09:30:33 1998
@@ -90,6 +90,8 @@
 extern int a2065_probe(struct device *);
 extern int ariadne_probe(struct device *);
 extern int hydra_probe(struct device *);
+extern int bionet_probe(struct device *);
+extern int pamsnet_probe(struct device *);
 extern int tlan_probe(struct device *);
 extern int mace_probe(struct device *);
 extern int cs89x0_probe(struct device *dev);
@@ -260,6 +262,12 @@
 #endif
 #ifdef CONFIG_HYDRA		/* Hydra Systems Amiganet Ethernet board */
 	&& hydra_probe(dev)
+#endif
+#ifdef CONFIG_ATARI_BIONET	/* Atari Bionet Ethernet board */
+	&& bionet_probe(dev)
+#endif
+#ifdef CONFIG_ATARI_PAMSNET	/* Atari PAMsNet Ethernet board */
+	&& pamsnet_probe(dev)
 #endif
 #ifdef CONFIG_SUNLANCE
 	&& sparc_lance_probe(dev)
